Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class AbstractContext

    java.lang.Object
      org.jboss.portal.format.template.AbstractContext

All Implemented Interfaces:
  Context

    public abstract class AbstractContext

extends java.lang.Object
implements Context

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.format.template.Context
`NULL_CONTEXT`

Constructor Summary
`AbstractContext()`

Method Summary
`java.util.Iterator` | `childIterator(java.lang.String name)` get an iterator for the nested/loop data contexts
`java.lang.String` | `get(java.lang.String o)` get the template data from the context
`Context` | `put(java.lang.String key, java.lang.String value)` add data to be rendered in the template through variable substitution

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContext

    public AbstractContext()

Method Detail

### childIterator

    public java.util.Iterator childIterator(java.lang.String name)

  Description copied from interface: `Context`
  get an iterator for the nested/loop data contexts

  Specified by:
    `childIterator` in interface `Context`
  Parameters:
    `name` - template variable prefix name
  Returns:
    iterator for the children

### get

    public java.lang.String get(java.lang.String o)

  Description copied from interface: `Context`
  get the template data from the context

  Specified by:
    `get` in interface `Context`
  Parameters:
    `o` - template variable name
  Returns:
    template value

### put

    public Context put(java.lang.String key,
                       java.lang.String value)

  Description copied from interface: `Context`
  add data to be rendered in the template through variable substitution

  Specified by:
    `put` in interface `Context`
  Parameters:
    `key` - template variable name
    `value` - value to render in template
  Returns:
    context to place data into

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD